curl --request GET \
--url https://api.glassmarkets.io/v2/organizations/market-maker-metrics/uptime/rollup/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.glassmarkets.io/v2/organizations/market-maker-metrics/uptime/rollup/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.glassmarkets.io/v2/organizations/market-maker-metrics/uptime/rollup/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"time_start": "2023-11-07T05:31:56Z",
"time_end": "2023-11-07T05:31:56Z",
"totals": [
{
"organization": {},
"value": 123,
"contributing_value_count": 123
}
],
"rows": [
{}
],
"mode": "aggregate"
}Get market-maker uptime rollup
Returns overall uptime per market-maker organization in totals. Set mode and organization to also get uptime per exchange and pair in rows; mode=daily also needs day. With the default depth_interval=1d a range longer than 366 days is cut to its last 366 days.
curl --request GET \
--url https://api.glassmarkets.io/v2/organizations/market-maker-metrics/uptime/rollup/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.glassmarkets.io/v2/organizations/market-maker-metrics/uptime/rollup/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.glassmarkets.io/v2/organizations/market-maker-metrics/uptime/rollup/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"time_start": "2023-11-07T05:31:56Z",
"time_end": "2023-11-07T05:31:56Z",
"totals": [
{
"organization": {},
"value": 123,
"contributing_value_count": 123
}
],
"rows": [
{}
],
"mode": "aggregate"
}Authorizations
Token-based authentication with required prefix "Token ". Example: "Token 9944b09199c62bcf9418ad846dd0e4bbdfc6ee4b"
Query Parameters
Comma separated assets. Defaults to all visible to the user.
100Uptime depths to return and average, e.g. 50,100,200.
25UTC day for daily rows; ignored in aggregate mode.
Depths the depth dataset is fetched at, for target evaluation.
25Bucket the depth dataset is fetched at for target-depth uptime. The summary view sends its range-appropriate bucket (5m/1h for short ranges); defaults to 1d.
5m- Five-minute depth.1h- Hourly depth.1d- Daily depth.
5m, 1h, 1d 1aggregate- Totals over the range; rows over the range grid.daily- Rows for a single day; requiresday.
aggregate, daily 1Organization slug. Scopes totals; required when returning rows.
1Response
Effective start after the daily range limit.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
aggregate- Totals over the range; rows over the range grid.daily- Rows for a single day; requiresday.
aggregate, daily 
